- NAME
- DESCRIPTION
  - Compatibility with Search::Xapian
- METHODS
- SEE ALSO

# NAME

Xapian::ValueIterator - Iterate over values in a slot.

# DESCRIPTION

This object represents a stream of document values. It overloads `++` for advancing the iterator, or you can explicitly call the `inc` method. This class also overloads `eq`, `ne`, `==`, and `!=`.

## Compatibility with Search::Xapian

Search::Xapian overloads <""> (stringification) on this class to call the `get_value` method. Call `get_value` directly instead.

# METHODS

new

  Constructor. Defaults to a uninitialized iterator.

clone
inc

  Advance the iterator by one. (Called implicitly by `++` overloading)

get_valueno

  Return the number of the value slot at the current position.

get_value

  Return the string in the value slot at current position.

get_description

  Returns a string describing this object.

equal <valueiterator>

  Checks if a valueiterator is the same as this valueiterator. Also overloaded as the `eq` and `==` operators.

nequal <valueiterator>

  Checks if a valueiterator is different from this valueiterator. Also overloaded as the `ne` and `!=` operators.

# SEE ALSO

Xapian, Xapian::Document